package com.gic.haoban.manage.service.util;

import com.ctrip.framework.apollo.Config;
import com.ctrip.framework.apollo.ConfigService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ApolloUtils {

    private static final Logger log = LoggerFactory.getLogger(ApolloUtils.class);

    /**
     * 旧的调用发送，是否采用新的消息中心开关1：是 0：否
     * @return
     */
    public static boolean useMessageCenter() {
        Config config = ConfigService.getConfig("COMMON.gic-properties");
        String messageCenterSwitch = config.getProperty("messageCenterSwitch", "0");
        return "1".equals(messageCenterSwitch);
    }

    /**
     * 导购通知一批次间隔时间
     * @return
     */
    public static Integer notifyBatchInterval() {
        Config config = ConfigService.getAppConfig();
        String notifyBatchInterval = config.getProperty("notifyBatchInterval", "60");
        log.info("导购通知一批次间隔时间:{}", notifyBatchInterval);
        return Integer.parseInt(notifyBatchInterval);
    }
}
